Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenEditorView

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  GenEditorViewImpl

public interface GenEditorView
extends EObject

A representation of the model object 'Gen Editor View'.

The following features are supported:

- `Editor Gen`
- `Package Name`
- `Action Bar Contributor Class Name`
- `Class Name`
- `Icon Path`
- `ID`

See Also:
  `GMFGenPackage.getGenEditorView()`
** Generated **
Model:

Method Summary
`java.lang.String` `getActionBarContributorClassName()` Returns the value of the 'Action Bar Contributor Class Name' attribute
`java.lang.String` `getActionBarContributorQualifiedClassName()`
`java.lang.String` `getClassName()` Returns the value of the 'Class Name' attribute
`GenEditorGenerator` `getEditorGen()` Returns the value of the 'Editor Gen' container reference.
`java.lang.String` `getIconPath()` Returns the value of the 'Icon Path' attribute
`java.lang.String` `getIconPathX()` Processes keywords that are part of iconPath, to avoid serializing processed values.
`java.lang.String` `getID()` Returns the value of the 'ID' attribute
`java.lang.String` `getPackageName()` Returns the value of the 'Package Name' attribute
`java.lang.String` `getQualifiedClassName()`
`void` `setActionBarContributorClassName(java.lang.String value)` Sets the value of the '`Action Bar Contributor Class Name`' attribute
`void` `setClassName(java.lang.String value)` Sets the value of the '`Class Name`' attribute
`void` `setIconPath(java.lang.String value)` Sets the value of the '`Icon Path`' attribute
`void` `setID(java.lang.String value)` Sets the value of the '`ID`' attribute
`void` `setPackageName(java.lang.String value)` Sets the value of the '`Package Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEditorGen

    public GenEditorGenerator getEditorGen()

  Returns the value of the 'Editor Gen' container reference. It is bidirectional and its opposite is '`Editor`'.

  If the meaning of the 'Editor Gen' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenEditorView_EditorGen()`, `GenEditorGenerator.getEditor()`
  ** Generated **
  Model:
    opposite="editor" changeable="false"

### getPackageName

    public java.lang.String getPackageName()

  Returns the value of the 'Package Name' attribute.

  If the meaning of the 'Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Package Name' attribute.
  See Also:
    `GenEditorView.setPackageName(String)`, `GMFGenPackage.getGenEditorView_PackageName()`
  ** Generated **
  Model:

### setPackageName

    public void setPackageName(java.lang.String value)

  Sets the value of the '`Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Package Name' attribute.
  See Also:
    `GenEditorView.getPackageName()`
  ** Generated **

### getActionBarContributorClassName

    public java.lang.String getActionBarContributorClassName()

  Returns the value of the 'Action Bar Contributor Class Name' attribute.

  If the meaning of the 'Action Bar Contributor Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Action Bar Contributor Class Name' attribute.
  See Also:
    `GenEditorView.setActionBarContributorClassName(String)`, `GMFGenPackage.getGenEditorView_ActionBarContributorClassName()`
  ** Generated **
  Model:

### setActionBarContributorClassName

    public void setActionBarContributorClassName(java.lang.String value)

  Sets the value of the '`Action Bar Contributor Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Action Bar Contributor Class Name' attribute.
  See Also:
    `GenEditorView.getActionBarContributorClassName()`
  ** Generated **

### getClassName

    public java.lang.String getClassName()

  Returns the value of the 'Class Name' attribute.

  If the meaning of the 'Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `GenEditorView.setClassName(String)`, `GMFGenPackage.getGenEditorView_ClassName()`
  ** Generated **
  Model:

### setClassName

    public void setClassName(java.lang.String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `GenEditorView.getClassName()`
  ** Generated **

### getIconPath

    public java.lang.String getIconPath()

  Returns the value of the 'Icon Path' attribute.

  If the meaning of the 'Icon Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon Path' attribute.
  See Also:
    `GenEditorView.setIconPath(String)`, `GMFGenPackage.getGenEditorView_IconPath()`
  ** Generated **
  Model:
    required="true"

### getIconPathX

    public java.lang.String getIconPathX()

  Processes keywords that are part of iconPath, to avoid serializing processed values. FIXME derived transient feature

### setIconPath

    public void setIconPath(java.lang.String value)

  Sets the value of the '`Icon Path`' attribute.

  Parameters:
    `value` - the new value of the 'Icon Path' attribute.
  See Also:
    `GenEditorView.getIconPath()`
  ** Generated **

### getID

    public java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `GenEditorView.setID(String)`, `GMFGenPackage.getGenEditorView_ID()`
  ** Generated **
  Model:

### setID

    public void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `GenEditorView.getID()`
  ** Generated **

### getActionBarContributorQualifiedClassName

    public java.lang.String getActionBarContributorQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getQualifiedClassName

    public java.lang.String getQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.